Loading...
Searching...
No Matches
Ogre::EdgeData::EdgeGroup Struct Reference

A group of edges sharing the same vertex data. More...

`#include <OgreEdgeListBuilder.h>`

## Public Attributes

EdgeList | edges
| The edges themselves.
uint32 | triCount
| Number triangles of this edge group.
uint32 | triStart
| Index to main triangles array, indicate the first triangle of this edge group, and all triangles of this edge group are stored continuous in main triangles array.
const VertexData * | vertexData
| Pointer to vertex data used by this edge group.
uint32 | vertexSet
| The vertex set index that contains the vertices for this edge group.

## Detailed Description

A group of edges sharing the same vertex data.

## Member Data Documentation

## vertexSet

uint32 Ogre::EdgeData::EdgeGroup::vertexSet

The vertex set index that contains the vertices for this edge group.

## vertexData

const VertexData* Ogre::EdgeData::EdgeGroup::vertexData

Pointer to vertex data used by this edge group.

## triStart

uint32 Ogre::EdgeData::EdgeGroup::triStart

Index to main triangles array, indicate the first triangle of this edge group, and all triangles of this edge group are stored continuous in main triangles array.

## triCount

uint32 Ogre::EdgeData::EdgeGroup::triCount

Number triangles of this edge group.

## edges

EdgeList Ogre::EdgeData::EdgeGroup::edges

The edges themselves.

The documentation for this struct was generated from the following file:

- OgreEdgeListBuilder.h